<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.4">

        <ImageView
            android:id="@+id/iv_error_empty"
            android:layout_width="120dp"
            android:layout_height="120dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_empty_error_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="47dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="47dp"
            android:gravity="center"
            android:textColor="@color/color_AAAAAA"
            android:textSize="14sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_error_empty"
            tools:text="@string/commonui_room_empty"
            tools:visibility="visible" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_empty_error_sub_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="47dp"
            android:layout_marginTop="12dp"
            android:layout_marginEnd="47dp"
            android:gravity="center"
            android:textColor="@color/color_AAAAAA"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_empty_error_title"
            tools:visibility="visible" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_empty_error"
            android:layout_width="0dp"
            android:layout_height="@dimen/common_button_height"
            android:layout_marginHorizontal="20dp"
            android:layout_marginTop="36dp"
            android:paddingStart="30dp"
            android:paddingEnd="30dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_empty_error_sub_title"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</merge>